/createCompleteReservation

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Description:

This request bundles the functionality of createReservation and completeReservation together.
It's advisable to use this end-point when your application create & completes in the same second.

Contactinfo required
for some clients it is mandatory to add contact info to this request.
Below is the list of clients where this information is required.
Clients

Museum name:Requested as of:
Maddame Taussade Amsterdam
Amstedam Dungeon
01-01-2023
01-01-2023

HMAC calculation
Base64 encode - SHA256(apiKey + customerEmailAddress + customerFirstName + customerSurname + environment + ticketDate + ticketTime + tickets + userId)

  • Sort the sign data alphabetical ascending, you can also find the sequence on the concerned API specification page.

Please note: optional fields only needs to be included when an optional field is used.

Body Params
string
required

Your public apiKey needs to be included in every request.

string
enum
required

"test" or "production"

Allowed:
int32
required

The userId is a reference to the user (museum / attraction). The userId can be requested via getAvailableUsers and can be cached in your application.

tickets
array of int32s
required
tickets*
int32
required
int32
required
date

24 hours format (hh:mm), this field is optional based on the user.

string

Firstname of the customer (Please read "Contactinfo required" below)

string

Surname of the customer (Please read "Contactinfo required" below)

string

Email address of the customer (Please read "Contactinfo required" below)

string
required

The HMACKey is calculated based on the input fields.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json